--
-- Porta_Esquerda
--
-- @Hugo94Fr
-- @23/09/2015
-- @Converted Fs17
-- @26/12/2016

Porta_Esquerda = {};

Porta_Esquerda.modDir = g_currentModDirectory;

function Porta_Esquerda.prerequisitesPresent(specializations)
    return true; 
end;

function Porta_Esquerda:load(savegame)

    self.AnimacaoPorta_Esquerda = SpecializationUtil.callSpecializationsFunction("AnimacaoPorta_Esquerda"); 
    
    self.Porta_Esquerda = {};
    
    local trigger = Utils.indexToObject( self.components, getXMLString(self.xmlFile, string.format("vehicle.Porta_Esquerda#trigger")) );
    if trigger == nil then
        print("[Erro: Porta_Esquerda] index ok, mas o trigger nas esta localizado. Volte a ver a linha "..tostring(i+1).." no seu xml");
    end;
    
    local TS = getXMLInt(self.xmlFile, string.format("vehicle.Porta_Esquerda#IC_Numero", i));
    
    self.Porta_Esquerda.TS = TS;
    self.Porta_Esquerda.trigger = trigger;
    self.Porta_Esquerda.TMP = false;
        
	addTrigger( trigger, "AnimacaoPorta_Esquerda", self );
    
end;

function Porta_Esquerda:delete()
    if self.Porta_Esquerda.trigger ~= nil then
        removeTrigger(self.Porta_Esquerda.trigger);
    end;
end;

function Porta_Esquerda:readStream(streamId, connection)
end;

function Porta_Esquerda:writeStream(streamId, connection)
end;

function Porta_Esquerda:mouseEvent(posX, posY, isDown, isUp, button)
end;

function Porta_Esquerda:keyEvent(unicode, sym, modifier, isDown)
end;

function Porta_Esquerda:update(dt)
    
    if self.Porta_Esquerda.TMP then
        g_currentMission:addHelpButtonText( g_i18n:getText("Porta_Esquerda"), InputBinding.Porta_Esquerda );    
        setTextColor(1.0, 1.0, 1.0, 1.0);
        setTextAlignment(RenderText.ALIGN_CENTER);                 
        renderText( 0.5, 0.06, 0.05, g_i18n:getText("Porta_Esquerda") );
        if InputBinding.hasEvent(InputBinding.Porta_Esquerda)then
            local obj = self.interactiveObjects[self.Porta_Esquerda.TS];
            if obj ~= nil then
                self:doActionOnObject(self.Porta_Esquerda.TS);
            end;
        end
    end;
end;

function Porta_Esquerda:onLeave()
end;

function Porta_Esquerda:draw()
end;

function Porta_Esquerda:AnimacaoPorta_Esquerda (triggerId, otherId, onEnter, onLeave, onStay)
    
    if onEnter and g_currentMission.controlPlayer and g_currentMission.player ~= nil and otherId == g_currentMission.player.rootNode then
        self.Porta_Esquerda.TMP = true;
    elseif onLeave and g_currentMission.player ~= nil and otherId == g_currentMission.player.rootNode then
        self.Porta_Esquerda.TMP = false;
    end;
    
end;